import sys

import django
import yaml
from django.conf import settings as django_settings
from djangoldp.conf.ldpsettings import LDPSettings
from djangoldp_webpushnotification.tests.settings_default import yaml_config

config = yaml.safe_load(yaml_config)
ldpsettings = LDPSettings(config)
django_settings.configure(ldpsettings)

django.setup()
from django.test.runner import DiscoverRunner

test_runner = DiscoverRunner(verbosity=1)

failures = test_runner.run_tests([
    'djangoldp_webpushnotification.tests.tests_vapidkeyset',
    'djangoldp_webpushnotification.tests.tests_accept_subscription',
    'djangoldp_webpushnotification.tests.tests_send_webpush',
])
if failures:
    sys.exit(failures)
